server:
  ssl:
    enabled: true
spring:
  rabbitmq:
    ssl:
      enabled: true
      algorithm: TLSv1.2

#eureka:
#  client:
#    serviceUrl:
#      defaultZone: https://${eureka_basicauth_username:machine}:${eureka_basicauth_password:machine}@eureka:8761/eureka
#    register-with-eureka: true
#    fetch-registry: true
#    healthcheck:
#      enabled: false # crashes if true
#    securePortEnabled: true
#  instance:
#    statusPageUrl: https://eureka:8761/info
#    healthCheckUrl: https://eureka:8761/health
#    homePageUrl: https://eureka:8761/
#    nonSecurePortEnabled: false
#    securePortEnabled: true
#    securePort: 8888